import { MessageType, StorageThreadType } from '../memory';
import { MastraStorage, TABLE_NAMES } from './base';
import { StorageColumn } from './types';
export interface LibSQLConfig {
    url: string;
    authToken?: string;
}
export declare class MastraStorageLibSql extends MastraStorage {
    private client;
    constructor({ config }: {
        config: LibSQLConfig;
    });
    private getCreateTableSQL;
    createTable({ tableName, schema, }: {
        tableName: TABLE_NAMES;
        schema: Record<string, StorageColumn>;
    }): Promise<void>;
    clearTable({ tableName }: {
        tableName: TABLE_NAMES;
    }): Promise<void>;
    insert({ tableName, record }: {
        tableName: TABLE_NAMES;
        record: Record<string, any>;
    }): Promise<void>;
    load<R>({ tableName, keys }: {
        tableName: TABLE_NAMES;
        keys: Record<string, string>;
    }): Promise<R | null>;
    getThreadById({ threadId }: {
        threadId: string;
    }): Promise<StorageThreadType | null>;
    getThreadsByResourceId({ resourceId }: {
        resourceId: string;
    }): Promise<StorageThreadType[]>;
    saveThread({ thread }: {
        thread: StorageThreadType;
    }): Promise<StorageThreadType>;
    updateThread({ id, title, metadata, }: {
        id: string;
        title: string;
        metadata: Record<string, unknown>;
    }): Promise<StorageThreadType>;
    deleteThread({ id }: {
        id: string;
    }): Promise<void>;
    getMessages({ threadId }: {
        threadId: string;
    }): Promise<MessageType[]>;
    saveMessages({ messages }: {
        messages: MessageType[];
    }): Promise<MessageType[]>;
}
//# sourceMappingURL=libsql.d.ts.map